lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Muir <rcm...@gmail.com>
Subject Re: Lucene Version Upgrade (3->4) and Java JVM Versions(6->8)
Date Thu, 12 Feb 2015 17:12:33 GMT
On Thu, Feb 12, 2015 at 11:58 AM, McKinley, James T
<james.mckinley@cengage.com> wrote:
> Hi Robert,
>
> Thanks for responding to my message.  Are you saying that you or others have encountered
problems running Lucene 4.8+ on the 64-bit Java SE 1.7 JVM with G1 and was it on Windows or
on Linux?  If so, where can I find out more?  I only looked into the one bug because that
was the only bug I saw on the https://wiki.apache.org/lucene-java/JavaBugs page that was related
to G1.  If there are other Lucene on Java 1.7 with G1 related bugs how can I find them?  Also,
are these failures something that would be triggered by running the standard Lucene 4.8.1
test suite or are there other tests I should run in order to reproduce these bugs?

You can't reproduce them easily. That is the nature of such bugs. When
i see the crashes, i generally try to confirm its not a lucene bug.
E.g. ill run it a thousand times with/without g1 and if only g1 fails,
i move on with life. There just isnt time.

Occasionally G1 frustrates me enough, ill go and open an issue, like
this one: https://issues.apache.org/jira/browse/LUCENE-6098

Thats a perfect example of what these bugs look like, horribly scary
failures that can cause bad things, and reproduce like 1/1000 times
with G1, essentially impossible to debug. They happen quite often in
our various jenkins servers, on both 32-bit and 64-bit, and even with
the most recent (e.g. 1.8.0_25 or 1.8.0_40-ea) jvms.

---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-user-help@lucene.apache.org


Mime
View raw message